## pirl 2.3.8

=== PIRL/Build/Makefile ===
#	Makefile for the PIRL Java packages.
#
#	gmake syntax.
#
# PIRL CVS ID: Makefile,v 2.13 2012/04/18 22:30:17 castalia Exp

TITLE				:=	PIRL Java Packages
R := R
CVS_ID				:=	[Makefile 2.13]


#	Installation location for the application wrappers.
INSTALL_DIR			?=	/opt/local/sh

#	The order of packages matters: put packages after their dependencies.
PACKAGES			:=	Utilities \
						Strings \
						TreeTable \
						PVL \
						Configuration \
						Messenger \
						Viewers \
						Database \
						Conductor \
						Image_Tools

#	Subpackages to be included in the javadoc.
SUBPACKAGES			:=	PIRL.Conductor.Maestro \
						PIRL.Conductor.Pipeline_Configuration

#	Distribution version.
VERSION				:=	$(shell grep '^[0-9]' VERSION)
ifeq ($(strip $(VERSION)),)
VERSION				:=  0.0
endif


#	Third party jars:

#	The location of the MySQL JDBC driver.
MySQL_JDBC_DIR		?=	/opt/java/mysql-connector
MySQL_JDBC_JAR		?=	mysql-connector.jar
MySQL				:=	$(MySQL_JDBC_DIR)/$(MySQL_JDBC_JAR)

#	The location of the PostgreSQL JDBC driver.
PostgreSQL_JDBC_DIR	?=	/opt/java/PostgreSQL
PostgreSQL_JDBC_JAR	?=	postgresql.jar
PostgreSQL			:=	$(PostgreSQL_JDBC_DIR)/$(PostgreSQL_JDBC_JAR)

#	The location of the Java Components for Mathematics.
JCM_DIR				?=	/opt/java/jcm
JCM_DATA_JAR		?=	jcm_data.jar
JCM					:=	$(JCM_DIR)/$(JCM_DATA_JAR)

#	The location of the SwingLabs Swing Component Extensions.
SwingX_DIR			?= 	/opt/java/SwingX
SwingX_JAR			?=	swingx.jar
SwingX				:=	$(SwingX_DIR)/$(SwingX_JAR)

#	The location of the Apache Commons Comand Line Interface package.
Commons_CLI_DIR		?=	/opt/java/commons-cli
Commons_CLI_JAR		?=	commons-cli.jar
Commons_CLI			:=	$(Commons_CLI_DIR)/$(Commons_CLI_JAR)

#	The location of the JavaX JavaMail package.
JavaMail_DIR		?=	/opt/java/javamail
JavaMail_JAR		?=	mail.jar
JavaMail			:=	$(JavaMail_DIR)/$(JavaMail_JAR)

#	Java CLASSPATH for the packages and their dependencies.
JPATH				?=	../../:$(MySQL):$(PostgreSQL):$(JCM):$(SwingX):$(Commons_CLI):$(JavaMail)


#	The location where the generated PIRL javadocs will be installed.
PIRL_DOCS_DIR		?=	../docs

#	The location of the Sun JFC documentation (package-list file).
#		Change this URL to your local installation if preferred.
JAVA_DOCS_DIR		?=	http://PIRL.LPL.Arizona.edu/resources/guide/software/Java/api
#JAVA_DOCS_DIR		?=	/opt/java/docs/api


#	Distributions:

#	The location for distribution files.
DIST_DIR			?=	/data/ftp/pub/Java

#	Versioned directory to contain released files.
PIRL_VERSION		:=	PIRL-$(VERSION)

#	PIRL tarball.
PIRL_TARBALL		:=	$(PIRL_VERSION).tar.gz

#	PIRL jar.
PIRL_JAR			:=	$(PIRL_VERSION).jar

#	PIRL javadocs.
PIRL_JAVADOC		:=	PIRL-javadoc-$(VERSION).tar.gz

#	Application wrappers and their config files.
APPLICATIONS		:=	Configuration/Configuration \
						Conductor/Conductor \
						Conductor/Create_Pipeline \
						Conductor/Notify \
						Conductor/Pipeline_Source \
						Conductor/Pipeline_Source_Manager \
						Conductor/Evaluate \
						Conductor/Maestro/Kapellmeister \
						Conductor/Maestro/Stage_Manager \
						Conductor/Maestro/Manage_Stage_Manager \
						Conductor/Pipeline_Configuration/Pipeline_Configuration \
						Database/Data_View \
						Database/Query_DB \
						Database/Update_DB \
						PVL/PVL_to_DB \
						Image_Tools/JP2_Info \
						Image_Tools/JPEG2000_Codestream_Info

CONFIGURATIONS		:=	Conductor/Conductor.conf \
						Conductor/Maestro/Kapellmeister.conf \
						Conductor/Maestro/Stage_Manager.conf \
						Database/Database.conf


#	Fully qualified package names.
PACKAGE_PATHS		:=	$(PACKAGES:%=PIRL.%)

#	Distribution boilerplate files.
BOILERPLATE			:=	README \
						Copyright_Notice.GPL \
						LICENSE_GPL_3 \
						LICENSE_LGPL_3


#	Targets:

all:			.BEGIN packages .END

packages:		$(PACKAGES)
$(PACKAGES):
	@echo
	@echo "--> $@"
	$(MAKE) -C ../$@ $(TARGET)


#	Documentation
docs:
	@echo
	@echo "--- Building the documentation"
	javadoc \
		-d $(PIRL_DOCS_DIR) \
		-author \
		-version \
		-link $(JAVA_DOCS_DIR) \
		-windowtitle "PIRL Java Packages" \
		-header '<A HREF="http://PIRL.LPL.Arizona.edu" \
			TARGET="_top"><IMG SRC="{@docRoot}/PIRL_icon.gif" ALT="PIRL"></A>' \
		-bottom '<A HREF="{@docRoot}/Copyright.html">Copyright (C)</A> \
			2003-2009  Bradford Castalia, University of Arizona' \
		-sourcepath ../.. \
		-classpath $(JPATH) \
		$(PACKAGE_PATHS) $(SUBPACKAGES)
	cp PIRL_icon.gif Copyright.html $(PIRL_DOCS_DIR)


#	Application wrappers installation:

install:
	@echo
	@echo "=== Installing application wrappers in $(INSTALL_DIR)"
	cp -f $(addprefix ../,$(APPLICATIONS)) $(INSTALL_DIR)


#	Distribution files:

#	Source code tarball
tarball:			$(PIRL_TARBALL)
$(PIRL_TARBALL):
	@echo
	@echo "=== $@ ==="
	@echo
	-rm -f $@
	@if [ ! -d staging_area/PIRL ]; then \
		echo ; \
		echo "--- Assembling the package files" ; \
		mkdir -p staging_area/PIRL ; \
		Release -dir staging_area/PIRL -no_make Build $(PACKAGES) ; \
	fi
	@echo
	mv staging_area/PIRL staging_area/$(PIRL_VERSION)
	cd staging_area; gtar czf ../$@ $(PIRL_VERSION)
	mv staging_area/$(PIRL_VERSION) staging_area/PIRL 

#	Javadoc tarball
javadoc.tarball:	$(PIRL_JAVADOC)
$(PIRL_JAVADOC):
	@echo
	@echo "=== $@ ==="
	@echo
	-rm -f $@
	@if [ ! -d staging_area/PIRL/docs ]; then \
		echo ; \
		echo "--- Assembling the package files" ; \
		mkdir -p staging_area/PIRL ; \
		Release -dir staging_area/PIRL -no_make Build $(PACKAGES) ; \
	fi
	@echo
	$(MAKE) -C staging_area/PIRL/Build docs
	mv staging_area/PIRL staging_area/$(PIRL_VERSION)
	cd staging_area; gtar czf ../$@ $(PIRL_VERSION)/docs
	mv staging_area/$(PIRL_VERSION) staging_area/PIRL 

#	Jar
jar:				$(PIRL_JAR)
$(PIRL_JAR):
	@echo
	@echo "=== $@ ==="
	@echo
	-rm -f $@
	@echo "--- Preparing the jar files"
	@if [ ! -d staging_area/PIRL/Build ]; then \
		echo ; \
		echo "--- Assembling the package files" ; \
		mkdir -p staging_area/PIRL ; \
		Release -dir staging_area/PIRL -no_make Build $(PACKAGES) ; \
	fi
	@echo
	$(MAKE) -C staging_area/PIRL/Build
	@echo
	cd staging_area/PIRL/Build; cp -f $(BOILERPLATE) VERSION ..
	@echo
	@echo "--- Removing extraneous files"
	mv staging_area/PIRL/Build staging_area
	rm -rf staging_area/PIRL/docs
	find staging_area/PIRL/Conductor \
		-type d -name '*.*' \
		-exec rm -rf {} \; -prune
	find staging_area/PIRL \
		-type d -name tests \
		-exec rm -rf {} \; -prune
	find staging_area/PIRL \
		\( -name '*.java' -o -name Makefile -o -name '*.html' \) \
		-exec rm {} \;
	@echo
	@echo "--- Preparing the MANIFEST"
	sed -e s/VERSION/$(VERSION)/ \
		-e '/MAIN/ d' \
		PIRL-MANIFEST.template > MANIFEST
	@echo
	@echo "--- Filling the jar"
	cd staging_area; jar cmf ../MANIFEST ../$(PIRL_JAR) PIRL
	-rm -f MANIFEST


dist:				.BEGIN tarball javadoc.tarball jar .END

distribute:			dist
	@echo
	@echo "=== Distribution ==="
	@echo
	@echo "--- Archiving the tarballs and jar files to the archive directory."
	mkdir -p ../archive
	cp -f $(PIRL_TARBALL) $(PIRL_JAVADOC) $(PIRL_JAR) ../archive
	@echo
	@echo "--- Moving the distribution files to the $(DIST_DIR) directory."
	mkdir -p $(DIST_DIR)
	mv -f \
		$(PIRL_TARBALL) \
		$(PIRL_JAVADOC) \
		$(PIRL_JAR) \
		$(DIST_DIR)
	rm -f \
		$(DIST_DIR)/$(PIRL_TARBALL:-$(VERSION).tar.gz=.tar.gz) \
		$(DIST_DIR)/$(PIRL_JAVADOC:-$(VERSION).tar.gz=.tar.gz) \
		$(DIST_DIR)/$(PIRL_JAR:-$(VERSION).jar=.jar)
	ln -s $(PIRL_TARBALL) $(DIST_DIR)/$(PIRL_TARBALL:-$(VERSION).tar.gz=.tar.gz)
	ln -s $(PIRL_JAVADOC) $(DIST_DIR)/$(PIRL_JAVADOC:-$(VERSION).tar.gz=.tar.gz)
	ln -s $(PIRL_JAR) $(DIST_DIR)/$(PIRL_JAR:-$(VERSION).jar=.jar)
	cd staging_area/Build; cp -f $(BOILERPLATE) $(DIST_DIR)
	@echo
	@echo "--- Copying the application files to the $(DIST_DIR)/Apps directory."
	rm -rf $(DIST_DIR)/Apps
	mkdir -p $(DIST_DIR)/Apps
	cp -f $(addprefix staging_area/PIRL/,$(APPLICATIONS)) $(DIST_DIR)/Apps
	@echo
	@echo "--- Copying the configuration files to the $(DIST_DIR)/Configs directory."
	rm -rf $(DIST_DIR)/Configs
	mkdir -p $(DIST_DIR)/Configs
	cp -f $(addprefix staging_area/PIRL/,$(CONFIGURATIONS)) $(DIST_DIR)/Configs
	@echo
	@echo "--- Cleanup"
	rm -rf staging_area
	rm -rf staging_area
	rm -rf staging_area


#	Cleaning:

clean:				TARGET = clean
clean:				packages

distclean:			dist_clean
dist_clean:
	rm -f $(PIRL_TARBALL) $(PIRL_TARBALL:-$(VERSION).tar.gz=.tar.gz)
	rm -f $(PIRL_JAVADOC) $(PIRL_JAVADOC:-$(VERSION).tar.gz=.tar.gz)
	rm -f $(PIRL_JAR) $(PIRL_JAR:-$(VERSION).jar=.jar)
	rm -rf MANIFEST staging_area


#	Release:

release:
	@echo
	@echo "*** $(TITLE) release $(VERSION)"
	@echo
	Release -d .. -no_make -no_strip $(PACKAGES)
	@echo
	$(MAKE) packages docs
	@echo
	@echo "*** $(TITLE) release $(VERSION) completed."


#	Reporting:

.BEGIN:
	@echo
	@echo "*** $(TITLE) $(CVS_ID) ***"
	@date
	@echo

.END:
	@echo
	@echo "*** $(TITLE) Completed ***"
	@date
	@echo


.PHONY:			.BEGIN \
				all packages $(PACKAGES) clean docs \
				tarball javadoc.tarball jar \
				dist distribute distclean dist_clean wipe release \
				.END

=== PIRL/Conductor/Makefile ===
#	Makefile for Java Conductor package.
#
#	PIRL CVS ID: Makefile,v 1.26 2012/01/25 23:12:08 castalia Exp

#	gmake syntax


#	Installation location for the executable scripts.
SCRIPTS_DIR		?=	/opt/local/sh

#	Installation location for the JNI library.
JNI_LIB_DIR		?=	/opt/local/lib


#	Location of the Java Classes for Mathematics.
JCM				?= /opt/java/jcm

#	Location of SwingX Classes.
SwingX			?=	/opt/java/SwingX/swingx.jar

#	Location of the JavaMail Classes (used by Notify).
JavaMail		?=	/opt/java/javamail/mail.jar

JPATH			?= ../..:$(JCM):$(SwingX):$(JavaMail)
JC				?= javac


CLASSES			:=	Reference_Resolver.class \
					Unresolved_Reference.class \
					String_Vector_Comparator.class \
					Stream_Logger.class \
					Management.class \
					Processing_Changes.class \
					Processing_Event.class \
					Processing_Listener.class \
					Colors.class \
					Conductor.class \
					Table_Mouse_Listener.class \
					Sources_Table_Model.class \
					Sources_Table.class \
					Procedures_Table_Model.class \
					Procedures_Table.class \
					Manager.class \
					Notify.class \
					Evaluate.class \
					Pipeline_Source_Manager.class

SCRIPTS			:=	Conductor \
					Conductor1 \
					Create_Pipeline \
					Notify \
					Pipeline_Source \
					Pipeline_Source_Reset \
					
#===============================================================================
#	Native methods library
LIBRARY		:=	Native_Methods

CLASSES		+=	$(LIBRARY).class

#	Host machine architecture identification.
empty :=
space := $(empty) $(empty)
OS			:=	$(subst $(space),_,$(shell uname -s))
ARCH		:=	$(subst $(space),_,$(shell uname -m))

#	Java installation location.
JNI_ROOT 	?= /usr/java

#	Compiler.
CC			= gcc

#	Preprocessor flags.
CPPFLAGS	+=	-I$(JNI_ROOT)/include

#	Platform specifics
ifeq ($(OS),Darwin)
EXT			:= jnilib
CFLAGS		+= -bundle
else
EXT			:=	so
CFLAGS		+=	-fPIC -shared
endif

JNI_DIR		:=	$(OS).$(ARCH)
JNI_LIBRARY	:=	$(JNI_DIR)/lib$(LIBRARY).$(EXT)


#	Targets:

all:			classes jni Maestro Pipeline_Configuration

classes:		$(CLASSES)

jni:			$(JNI_LIBRARY)

$(JNI_LIBRARY):	$(JNI_DIR) $(LIBRARY).c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIBRARY).c -o $@
			
$(JNI_DIR):
	mkdir $(JNI_DIR)

Maestro:
	@echo
	@echo "--> Conductor/$@"
	@$(MAKE) --no-print-directory -C $@
	
Pipeline_Configuration:
	@echo
	@echo "--> Conductor/$@"
	@$(MAKE) --no-print-directory -C $@

install:		all
	cp -p $(SCRIPTS) $(SCRIPTS_DIR)
	cp -p $(JNI_LIBRARY) $(JNI_LIB_DIR)
	$(MAKE) -C Maestro install
	$(MAKE) -C Pipeline_Configuration install
			
patch:
	gtar -c -z -f Process.patch.tar.gz \
		--exclude=CVS \
		--exclude=Install \
		--exclude=README-Process.patch \
		Process.patch

clean:
	rm -f *.class $(JNI_LIBRARY)
	$(MAKE) -C Maestro clean
	$(MAKE) -C Pipeline_Configuration clean


.PHONY:	all classes Maestro Pipeline_Configuration jni install patch clean

.SUFFIXES: .java .class
.java.class:
	$(JC) -classpath $(JPATH) $(JFLAGS) $<

=== PIRL/Configuration/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.5 2007/03/20 04:31:56 castalia Exp

#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

JPATH	?= ../..:$(JCM)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Configuration_Exception.class \
				Configuration.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Database/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.18 2008/10/28 00:33:23 castalia Exp

#	gmake syntax

#   Location of the Java Classes for Mathematics.
JCM     ?= /opt/java/jcm

JPATH   ?= ../..:$(JCM)
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	SQL_Listener.class \
				Database.class \
				Data_Port.class \
				JDBC_Data_Port.class \
				MySQL_Data_Port.class \
				Database_Exception.class \
				Data_Table.class \
				SQL.class \
				Database_View.class \
				Data_View.class \
				Update_DB.class \
				Query_DB.class \
				Fields_Map.class \
				Connect_View.class \
				PostgreSQL_Data_Port.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Image_Tools/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.3 2007/08/20 02:33:00 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Multibuf_ImageInputStream.class \
				HTTP_ImageInputStream.class \
				JPEG2000_Info.class \
				JPEG2000_Codestream_Info.class \
				JP2_Info.class \
				Projection.class \
				Equirectangular_Projection.class \
				Polar_Stereographic_Elliptical_Projection.class \
				Polar_Stereographic_Spherical_Projection.class

all:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Messenger/Makefile ===
#	Makefile for Java Messenger package.
#
#	PIRL CVS ID: Makefile,v 1.4 2008/06/07 07:58:34 castalia Exp

#	gmake syntax


JPATH	?= ../..
JC		?= javac


CLASSES		:=	Message.class \
				Messenger.class \
				Messenger_Styled_Writer.class \
				Message_Delivered_Listener.class \
				Message_Delivered_Event.class \
				Dispatcher.class


#	Targets:

all:			classes

classes:		$(CLASSES)


clean:
	rm -f *.class


.SUFFIXES: .java .class
.java.class:
	$(JC) -classpath $(JPATH) $(JFLAGS) $<

=== PIRL/PVL/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.15 2011/07/27 05:10:07 castalia Exp
#
#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

#	Location of SwingX Classes.
SwingX			?=	/opt/java/SwingX/swingx.jar

#	Location of the JavaMail Classes (used by Notify; cross-dependency).
JavaMail		?=	/opt/java/javamail/mail.jar

JPATH	?= ../..:$(JCM):$(SwingX):$(JavaMail)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Parameter.class \
				Selector.class \
				Selection.class \
				Value.class \
				Parser.class \
				Lister.class \
				PVL_Exception.class \
				Invalid_Map_Syntax.class \
				PVL_to_DB.class

all:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Strings/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.9 2004/08/27 22:27:30 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	String_Buffer.class \
				String_Buffer_Reader.class \
				Words.class \
				String_Utilities.class \
				strip_DEBUG.class


all:		classes

classes:	${CLASSES}

clean:
			rm -f *.class

=== PIRL/TreeTable/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.3 2003/11/23 00:25:08 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	AbstractTreeTableModel.class \
				JTreeTable.class \
				TreeTableModel.class \
				TreeTableModelAdapter.class \
				AbstractCellEditor.class \


all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class


AbstractTreeTableModel.class:	TreeTableModel.class

TreeTableModelAdapter.class:	TreeTableModel.class

JTreeTable.class:				TreeTableModelAdapter.class \
								AbstractCellEditor.class

=== PIRL/Utilities/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.18 2009/07/21 00:09:48 castalia Exp

#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

JPATH	?= ../..:$(JCM)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Streams.class \
				ByteBuffer_InputStream.class \
				ByteBuffer_OutputStream.class \
				Host.class \
				File.class \
				Integer_Range.class \
				Real_Range.class \
				Checker.class \
				Styled_Writer.class \
				Multiwriter_IOException.class \
				Suspendable_Styled_Writer.class \
				Styled_Multiwriter.class \
				Authentication.class \
				UNIX_Process.class

all:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Viewers/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.22 2008/07/03 00:56:04 castalia Exp

#	gmake syntax

JC ?= javac
JPATH ?= ../..

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Blinker.class \
				Dialog_Box.class \
				URL_Dialog.class \
				Memory_Panel.class \
				Parameter_Pane.class \
				Parameter_View.class \
				Value_Pane.class \
				Value_View.class \
				View_Locator.class \
				Font_Selector.class \
				Icons.class \
				Splash_Screen.class \
				Draggable_Rows.class \
				Projection_Pane.class \
				Projection_Viewer.class \
				Memory_Chart.class \
				Memory_History.class \
				Memory_ChartUI.class \
				Memory_Chart_UI.class \
				Memory_Chart_Panel.class \
				Stream_Monitor.class \
				Stream_Viewer.class \
				Animator.class \
				Percent_Bar.class \
				Percent_BarUI.class \
				Percent_Bar_UI.class \
				Password_Dialog.class \
				Size_Limits.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class

=== PIRL/Conductor/Maestro/Makefile ===
#	Makefile for Java Conductor.Maestro package.
#
#	PIRL CVS ID: Makefile,v 1.19 2008/09/09 05:48:07 castalia Exp

#	gmake syntax


#	Installation location for the executable scripts.
SCRIPTS_DIR		?=	/opt/local/sh


#	Location of the Java Classes for Mathematics.
JCM				?= /opt/java/jcm

#	Location of SwingX Classes.
SwingX			?=	/opt/java/SwingX/swingx.jar

JPATH			?= ../../..:$(JCM):$(SwingX)
JC				?= javac


CLASSES			:=	Remote_Management_Exception.class \
					Theater_Protocol_Exception.class \
					Theater.class \
					Local_Theater.class \
					Remote_Theater.class \
					New_Conductor_Dialog.class \
					Conductor_Table_Model_Event.class \
					Conductor_Table_Model.class \
					Conductor_Table.class \
					Conductor_Matrix_Model.class \
					Conductor_Matrix.class \
					Conductor_Definition.class \
					Profile.class \
					Theater_List_Model.class \
					Theater_List.class \
					Kapellmeister.class \
					Stage_Manager.class \
					Error_Report.class

SCRIPTS			:=	Kapellmeister \
					Stage_Manager

#	Targets:

all:			classes

classes:		$(CLASSES)

install:		classes
	cp -p $(SCRIPTS) $(SCRIPTS_DIR)

clean:
	rm -f *.class


.SUFFIXES: .java .class
.java.class:
	$(JC) -classpath $(JPATH) $(JFLAGS) $<

=== debian/changelog ===
pirl (2.3.8-1) unstable; urgency=low

  * New upstream: 2.3.8. Fixes issues with JPX.
  * Missing Depends on java-wrappers.

 -- Mathieu Malaterre <malat@debian.org>  Tue, 20 Nov 2012 15:35:37 +0100

pirl (2.3.7-1) unstable; urgency=low

  * Initial release (Closes: #668603)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Apr 2012 08:51:38 +0200

=== debian/control ===
Source: pirl
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), javahelper (>= 0.25)
Build-Depends-Indep: default-jdk, default-jdk-doc, libgnumail-java, libswingx1-java, libjcm-java, libcommons-cli-java
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/pirl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/pirl
Homepage: http://pirlwww.lpl.arizona.edu/software/PIRL_Java_Packages.shtml

Package: pirl-image-tools
Section: graphics
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libpirl-java, java-wrappers
Suggests: libpirl-java-doc, python-jpylyzer
Description: PIRL Image Tools
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 This package contains the command line image tools from PIRL Java Packages

Package: libpirl-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libpirl-java-doc
Description: PIRL Java Packages
 Conductor: An application to manage procedure pipelines with classes to
 resolve references to parameters (as are used in Configuration objects) and
 Database fields, asynchronous thread logging of streams, and utility
 applications to exercise the mathematical expression evaluator (JCM) and send
 email notification messages to a list of recipients. The Conductor application
 requires (as of Java 1.4) a patch to the Process class implementation. This is
 provided separately in the Process.patch tarball. A sample pipeline kit for
 processing MOC images with the ISIS software is in the moclevall-kit tarball.
 .
 Configuration: An extension of the PVL.Parameter class for convenient
 management of configuration parameters.
 .
 Database: A simplified interface for access to, and basic management of,
 relational SQL databases. An example database query tool is included.
 .
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 PVL: The PIRL Parameter Value Language package provides for the input, output
 and manipulation of generic parameters and their data values. A PVL_to_DB class
 is provided to map PVL Parameter Values into Database fields for update or
 insert operations.
 .
 Strings: Character string manipulation capabilities used by the other PIRL
 packages.
 .
 Utilities: Miscellaneous utilities classes that handle various helpful
 operations not easily classified into the classes of other packages.
 .
 Viewers: Classes for common capabilies associated with GUI viewers, plus GUI
 viewers associated with other PIRL packages.

Package: libpirl-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libpirl-java
Description: PIRL Java Packages Documentation
 Conductor: An application to manage procedure pipelines with classes to
 resolve references to parameters (as are used in Configuration objects) and
 Database fields, asynchronous thread logging of streams, and utility
 applications to exercise the mathematical expression evaluator (JCM) and send
 email notification messages to a list of recipients. The Conductor application
 requires (as of Java 1.4) a patch to the Process class implementation. This is
 provided separately in the Process.patch tarball. A sample pipeline kit for
 processing MOC images with the ISIS software is in the moclevall-kit tarball.
 .
 Configuration: An extension of the PVL.Parameter class for convenient
 management of configuration parameters.
 .
 Database: A simplified interface for access to, and basic management of,
 relational SQL databases. An example database query tool is included.
 .
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 PVL: The PIRL Parameter Value Language package provides for the input, output
 and manipulation of generic parameters and their data values. A PVL_to_DB class
 is provided to map PVL Parameter Values into Database fields for update or
 insert operations.
 .
 Strings: Character string manipulation capabilities used by the other PIRL
 packages.
 .
 Utilities: Miscellaneous utilities classes that handle various helpful
 operations not easily classified into the classes of other packages.
 .
 Viewers: Classes for common capabilies associated with GUI viewers, plus GUI
 viewers associated with other PIRL packages.
 .
 This is the documentation for the PIRL Java Packages

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jcm.jar:/usr/share/java/gnumail.jar:/usr/share/java/swingx1.jar:/usr/share/java/commons-cli.jar

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	-rm PIRL/Conductor/Notify-simple.java
	dh_auto_configure

debian/jp2info.1: debian/jp2info.1.in
	help2man --include=$< -n "dump meta information of JPEG 2000 Codestream / JP2 file" \
		--output=$@ --version-string=$(VERSION) --help-option=-h --no-info jp2info

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
ftp://pirlftp.lpl.arizona.edu/pub/Java/PIRL-([\d\.]+).tar.gz \
debian debian/orig-tar.sh
